org.wildfly.swarm.microprofile.openapi.api.models

## Class PathItemImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.PathItemImpl

- All Implemented Interfaces:
    ModelImpl

      public class PathItemImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `PathItem` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathItemImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PathItem` | `addParameter(Parameter parameter)`
    `PathItem` | `addServer(Server server)`
    `PathItem` | `DELETE(Operation delete)`
    `PathItem` | `description(String description)`
    `PathItem` | `GET(Operation get)`
    `Operation` | `getDELETE()`
    `String` | `getDescription()`
    `Operation` | `getGET()`
    `Operation` | `getHEAD()`
    `Operation` | `getOPTIONS()`
    `List<Parameter>` | `getParameters()`
    `Operation` | `getPATCH()`
    `Operation` | `getPOST()`
    `Operation` | `getPUT()`
    `String` | `getRef()`
    `List<Server>` | `getServers()`
    `String` | `getSummary()`
    `Operation` | `getTRACE()`
    `PathItem` | `HEAD(Operation head)`
    `PathItem` | `OPTIONS(Operation options)`
    `PathItem` | `parameters(List<Parameter> parameters)`
    `PathItem` | `PATCH(Operation patch)`
    `PathItem` | `POST(Operation post)`
    `PathItem` | `PUT(Operation put)`
    `List<Operation>` | `readOperations()`
    `Map<HttpMethod,Operation>` | `readOperationsMap()`
    `PathItem` | `ref(String ref)`
    `PathItem` | `servers(List<Server> servers)`
    `void` | `setDELETE(Operation delete)`
    `void` | `setDescription(String description)`
    `void` | `setGET(Operation get)`
    `void` | `setHEAD(Operation head)`
    `void` | `setOPTIONS(Operation options)`
    `void` | `setParameters(List<Parameter> parameters)`
    `void` | `setPATCH(Operation patch)`
    `void` | `setPOST(Operation post)`
    `void` | `setPUT(Operation put)`
    `void` | `setRef(String ref)`
    `void` | `setServers(List<Server> servers)`
    `void` | `setSummary(String summary)`
    `void` | `setTRACE(Operation trace)`
    `PathItem` | `summary(String summary)`
    `PathItem` | `TRACE(Operation trace)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathItemImpl

          public PathItemImpl()

  - ### Method Detail

    - #### getRef

          public String getRef()

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#getRef()`

    - #### setRef

          public void setRef(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#setRef(java.lang.String)`

    - #### ref

          public PathItem ref(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#ref(java.lang.String)`

    - #### getSummary

          public String getSummary()

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#getSummary()`

    - #### setSummary

          public void setSummary(String summary)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#setSummary(java.lang.String)`

    - #### summary

          public PathItem summary(String summary)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#summary(java.lang.String)`

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#setDescription(java.lang.String)`

    - #### description

          public PathItem description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#description(java.lang.String)`

    - #### getGET

          public Operation getGET()

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#getGET()`

    - #### setGET

          public void setGET(Operation get)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#setGET(org.eclipse.microprofile.openapi.models.Operation)`

    - #### GET

          public PathItem GET(Operation get)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#GET(org.eclipse.microprofile.openapi.models.Operation)`

    - #### getPUT

          public Operation getPUT()

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#getPUT()`

    - #### setPUT

          public void setPUT(Operation put)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#setPUT(org.eclipse.microprofile.openapi.models.Operation)`

    - #### PUT

          public PathItem PUT(Operation put)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#PUT(org.eclipse.microprofile.openapi.models.Operation)`

    - #### getPOST

          public Operation getPOST()

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#getPOST()`

    - #### setPOST

          public void setPOST(Operation post)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#setPOST(org.eclipse.microprofile.openapi.models.Operation)`

    - #### POST

          public PathItem POST(Operation post)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#POST(org.eclipse.microprofile.openapi.models.Operation)`

    - #### getDELETE

          public Operation getDELETE()

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#getDELETE()`

    - #### setDELETE

          public void setDELETE(Operation delete)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#setDELETE(org.eclipse.microprofile.openapi.models.Operation)`

    - #### DELETE

          public PathItem DELETE(Operation delete)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#DELETE(org.eclipse.microprofile.openapi.models.Operation)`

    - #### getOPTIONS

          public Operation getOPTIONS()

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#getOPTIONS()`

    - #### setOPTIONS

          public void setOPTIONS(Operation options)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#setOPTIONS(org.eclipse.microprofile.openapi.models.Operation)`

    - #### OPTIONS

          public PathItem OPTIONS(Operation options)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#OPTIONS(org.eclipse.microprofile.openapi.models.Operation)`

    - #### getHEAD

          public Operation getHEAD()

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#getHEAD()`

    - #### setHEAD

          public void setHEAD(Operation head)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#setHEAD(org.eclipse.microprofile.openapi.models.Operation)`

    - #### HEAD

          public PathItem HEAD(Operation head)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#HEAD(org.eclipse.microprofile.openapi.models.Operation)`

    - #### getPATCH

          public Operation getPATCH()

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#getPATCH()`

    - #### setPATCH

          public void setPATCH(Operation patch)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#setPATCH(org.eclipse.microprofile.openapi.models.Operation)`

    - #### PATCH

          public PathItem PATCH(Operation patch)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#PATCH(org.eclipse.microprofile.openapi.models.Operation)`

    - #### getTRACE

          public Operation getTRACE()

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#getTRACE()`

    - #### setTRACE

          public void setTRACE(Operation trace)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#setTRACE(org.eclipse.microprofile.openapi.models.Operation)`

    - #### TRACE

          public PathItem TRACE(Operation trace)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#TRACE(org.eclipse.microprofile.openapi.models.Operation)`

    - #### readOperations

          public List<Operation> readOperations()

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#readOperations()`

    - #### readOperationsMap

          public Map<HttpMethod,Operation> readOperationsMap()

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#readOperationsMap()`

    - #### getServers

          public List<Server> getServers()

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#getServers()`

    - #### setServers

          public void setServers(List<Server> servers)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#setServers(java.util.List)`

    - #### servers

          public PathItem servers(List<Server> servers)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#servers(java.util.List)`

    - #### addServer

          public PathItem addServer(Server server)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#addServer(org.eclipse.microprofile.openapi.models.servers.Server)`

    - #### getParameters

          public List<Parameter> getParameters()

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#getParameters()`

    - #### setParameters

          public void setParameters(List<Parameter> parameters)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#setParameters(java.util.List)`

    - #### parameters

          public PathItem parameters(List<Parameter> parameters)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#parameters(java.util.List)`

    - #### addParameter

          public PathItem addParameter(Parameter parameter)

      See Also:
        `org.eclipse.microprofile.openapi.models.PathItem#addParameter(org.eclipse.microprofile.openapi.models.parameters.Parameter)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.